Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Cannot upgrade a 2811 to CME 4.0(3)

I have a 2811 and i wanted to upgrade to CME 4.0(3). I have downloaded c2800nm-spservicesk9-mz.124-4.XC4.bin and using tftp pumpkin i tried to install it to my router.

But, when the transfer reached the end of the file, it restarted again and soon there was not enough space in the flash and it aborted!!

Any ideas?

3 REPLIES
New Member

Re: Cannot upgrade a 2811 to CME 4.0(3)

Hello,

TFTP means TRIVIAL File Transfer Protocol.

This means that TFTP supports only file sizes up to 16 MByte to transfer. This could be a reason. Try to use FTP to download the file to the router.

Configure

Router(config)#ip ftp username

Router(config)#ip ftp password

Router(config)#no ip ftp passiv

and download the file using FTP.

Bye

Joachim

New Member

Re: Cannot upgrade a 2811 to CME 4.0(3)

Hi Joachim,

and thanks for the reply.

But i don't think that this is the case because:

i have managed to upload the c2800nm-spservicesk9-mz.124-9.T.bin which is 32MB with no problem. I think that the limit with 16MB existed in old IOSs.

Thanks

Anthony

New Member

Re: Cannot upgrade a 2811 to CME 4.0(3)

It was easier than anyone can think of!

Pumpkin was not so stable after all. I used http://tftpd32.jounin.net/download/tftpd32.303.zip

and it worked fine!!

Cheers

158
Views
0
Helpful
3
Replies
CreatePlease login to create content